/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.HproductosZonasTotal;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface HproductosZonasTotalFacadeLocal {

    void create(HproductosZonasTotal hproductosZonasTotal);

    void edit(HproductosZonasTotal hproductosZonasTotal);

    void remove(HproductosZonasTotal hproductosZonasTotal);

    HproductosZonasTotal find(Object id);

    List<HproductosZonasTotal> findAll();

    List<HproductosZonasTotal> findRange(int[] range);

    int count();

    List<HproductosZonasTotal> resultadoSucursal(String sucursal);

}
